Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[MAJ xorg]dependency conflict (résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Kevin57
Guru
Guru


Joined: 21 Aug 2009
Posts: 373

PostPosted: Sat Oct 31, 2009 3:04 pm    Post subject: [MAJ xorg]dependency conflict (résolu) Reply with quote

Bonjour à tous,

Depuis quelques jours, quand je veux mettre mon système à jour, j'ai ce message qui s'affiche à la fin de la liste des packages mis à jour :
Code:
Kevin ~ # emerge -uDNa world

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! One or more updates have been skipped due to a dependency conflict:

x11-base/xorg-server:0

  ('ebuild', '/', 'x11-base/xorg-server-1.7.1', 'merge') conflicts with
    <x11-base/xorg-server-1.6.99 required by ('installed', '/', 'x11-drivers/nvidia-drivers-185.18.36-r1', 'nomerge')


Mais cela n'empêche pas le reste de se mettre à jour. J'ai du mal à comprendre si xorg est en conflit avec lui-même ou avec mes drivers nvidia, mais surtout je ne sais pas comment résoudre le problème. D'un côté j'ai envie de virer xorg-server et mes drivers, puis de tout réinstaller, mais avant de faire une grosse con*erie je préfère vous demander conseil!

Merci d'avance,

Kevin57
_________________
Gentoo ~amd64 avec Openbox, AMD Phenom II X4 965 BE, Radeon HD 4250, 4GB RAM.
Traducteur indépendant allemand-français et anglais-français


Last edited by Kevin57 on Sun Nov 01, 2009 12:25 am; edited 1 time in total
Back to top
View user's profile Send private message
Tom_
Guru
Guru


Joined: 20 May 2004
Posts: 384
Location: France

PostPosted: Sat Oct 31, 2009 3:28 pm    Post subject: Reply with quote

Les drivers Nvidia version 185 ne supportent pas les serveurs Xorg dont la version est supérieure à 1.6.99.

Et là, tu essayes tu essayes d'installer xorg-server-1.7.1 (> 1.6.99, ce qui provoque un conflit).

Tu dois unmasker la version supérieure des drivers Nvidia (190), si tu veux xorg-server-1.7.1.

Plus d'infos :
- http://blog.cardoe.com/archives/2009/10/28/nvidia-drivers-190-x/
- http://blog.cardoe.com/archives/2009/10/29/nvidia-drivers-and-xorg-server-compatiblity/
Back to top
View user's profile Send private message
Kevin57
Guru
Guru


Joined: 21 Aug 2009
Posts: 373

PostPosted: Sat Oct 31, 2009 7:15 pm    Post subject: Reply with quote

OK merci! Avant de tenter cette mise à jour, elle marche bien cette version de xorg-server? Parce que j'ai entendu parler de problèmes lors de précédentes MAJ donc bon...
_________________
Gentoo ~amd64 avec Openbox, AMD Phenom II X4 965 BE, Radeon HD 4250, 4GB RAM.
Traducteur indépendant allemand-français et anglais-français
Back to top
View user's profile Send private message
Tom_
Guru
Guru


Joined: 20 May 2004
Posts: 384
Location: France

PostPosted: Sat Oct 31, 2009 8:09 pm    Post subject: Reply with quote

Perso, je tourne en 1.7 depuis sa sortie alors qu'il était encore masqué et je n'ai eu aucun soucis particulier à part avec les headers de ses dépendances : il y a eu des modifs dans leur organisation, ce qui empêche certains ebuilds de compiler mais à part ca roule!!! Après, c'est une expérience parmi plein d'autres. :wink:
Back to top
View user's profile Send private message
Kevin57
Guru
Guru


Joined: 21 Aug 2009
Posts: 373

PostPosted: Sat Oct 31, 2009 11:54 pm    Post subject: Reply with quote

Bon, dans ce cas je vais essayer de voir ça demain alors. Au pire, je suppose qu'il est toujours possible de revenir en arrière, non?

Edit : en fait c'est bon, j'ai fait ce que tu avais dit et tout marche. J'ai juste bêtement oublié de re-émerger les drivers autres que nvidia-drivers, du coup je me suis retrouvé sans souris et sans clavier, ça m'a coûté quelques reboot avant de réussir à arriver à la console (merci le boot interactif!) pour recompiler ce qu'il fallait et tout remarche! Merci pour le coup de main!
_________________
Gentoo ~amd64 avec Openbox, AMD Phenom II X4 965 BE, Radeon HD 4250, 4GB RAM.
Traducteur indépendant allemand-français et anglais-français
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum